<div style="display: flex">
  <div class="m-5" #mainElement>
    <app-children-view (click)="showElements()" [elements]="hierarchicalElements"></app-children-view>
  </div>

  <div class="summary m-5 p-5" *ngIf="summaryList.length">
    <h2>Summary</h2>

    <div *ngFor="let summaryElements of summaryList" class="mt-2">
    <span *ngFor="let arrayElements of summaryElements; let last = last">
      {{arrayElements}} {{ !last ? '/' : ''}}
    </span>
    </div>

    <button class="mt-3 mr-5" (click)="saveSummary()">Save summary</button>
    <a [href]="summaryLink" target="_blank">{{summaryLink}}</a>
  </div>
</div>

